| Home | Libraries | People | FAQ | More

## Function template erase_tail

boost::algorithm::erase_tail — Erase tail algorithm.

## Synopsis

    template<typename SequenceT>
      void erase_tail(SequenceT & Input, unsigned int N);

## Description

Remove the tail from the input. The tail is a suffix of a sequence of given size. If the sequence is shorter then required, the whole string is considered to be the tail. The input sequence is modified in-place.

Parameters

Input

  An input string

N

  Length of the head

| Copyright © 2002-2004 Pavol Droba